<?xml version="1.0" encoding="utf-8"?>

<layout>

    <data>

        <import type="android.view.View"/>

        <variable name="viewModel" type="com.example.shoppingcart.ui.cartlist.CartListViewModel"/>
    </data>

    <FrameLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/cartsRV"
                android:layout_weight="1"
                app:cart="@{viewModel.cartList}"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
        </androidx.recyclerview.widget.RecyclerView>

        <TextView
                android:visibility="@{viewModel.isVisible() ? View.VISIBLE : View.GONE}"
                android:layout_gravity="center"
                android:text="@{viewModel.getTextFromAssets()}"
                android:id="@+id/emptyBagTV"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

    </FrameLayout>

</layout>
